package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type WdkWarehouseOrderDispatchRequest struct {
	/*
	   仓作业单     */
	WorkOrder *domain.WdkWarehouseOrderDispatchWorkOrder `json:"work_order" required:"true" `
}

func (s *WdkWarehouseOrderDispatchRequest) SetWorkOrder(v domain.WdkWarehouseOrderDispatchWorkOrder) *WdkWarehouseOrderDispatchRequest {
	s.WorkOrder = &v
	return s
}

func (req *WdkWarehouseOrderDispatchRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WorkOrder != nil {
		paramMap["work_order"] = util.ConvertStruct(*req.WorkOrder)
	}
	return paramMap
}

func (req *WdkWarehouseOrderDispatchRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
